%define	major 1
%define libname %mklibname oggz %{major}
%define develname %mklibname oggz -d

Summary:	Simple programming interface for Ogg files and streams
Name:		liboggz
Version:	0.9.7
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD-like
URL:		http://www.annodex.net/
Source0:	http://www.annodex.net/software/liboggz/download/%{name}-%{version}.tar.gz
BuildRequires:	libogg-devel >= 1.0
BuildRequires:	doxygen
BuildRequires:	docbook-utils
BuildRequires:	autoconf2.5
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Oggz provides a simple programming interface for reading and writing Ogg files
and streams. Ogg is an interleaving data container developed by Monty at
Xiph.Org, originally to support the Ogg Vorbis audio format.

%package -n	%{libname}
Summary:	Simple programming interface for Ogg files and streams
Group:          System/Libraries

%description -n	%{libname}
Oggz provides a simple programming interface for reading and writing Ogg files
and streams. Ogg is an interleaving data container developed by Monty at
Xiph.Org, originally to support the Ogg Vorbis audio format.

%package -n	%{develname}
Summary:	Files needed for development using liboggz
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname oggz 1 -d}

%description -n	%{develname}
Oggz provides a simple programming interface for reading and writing Ogg files
and streams. Ogg is an interleaving data container developed by Monty at
Xiph.Org, originally to support the Ogg Vorbis audio format.

This package contains the header files and documentation needed for development
using liboggz.

%package	tools 
Summary:	Various tools using the liboggz library
Group:		Development/C
Requires:	%{libname} = %{version}

%description	tools
This package contains various tools using the liboggz library.

%prep

%setup -q -n %{name}-%{version}

%build

%configure2_5x

%make

%check
make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# cleanup
rm -rf %{buildroot}%{_docdir}/liboggz

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/liboggz/html/*
%dir %{_includedir}/oggz
%{_includedir}/oggz/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/oggz.pc

%files tools
%defattr(-,root,root)
%{_bindir}/oggz*
%{_mandir}/man1/*


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7-2mdv2009.0
+ Revision: 267964
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Funda Wang <fundawang@mandriva.org> 0.9.7-1mdv2009.0
+ Revision: 210295
- New version 0.9.7

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9.5-2mdv2008.1
+ Revision: 136557
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-2mdv2008.0
+ Revision: 83599
- new devel naming


* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdv2007.0
+ Revision: 94249
- Import liboggz

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdv2007.0
- initial Mandriva package (fc5 extras import)

